﻿using System;

using TestClient.SimpleService;

namespace TestClient
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            int number;

            using(SimpleServiceClient client = new SimpleServiceClient("NetTcpBinding_ISimpleService"))
            {
                Console.WriteLine("클라이언트 세션 ID : " + client.InnerChannel.SessionId);

                number = client.IncreaseNumber();

                Console.WriteLine("첫번째 호출 후 번호 = " + number);

                number = client.IncreaseNumber();

                Console.WriteLine("두번째 호출 후 번호 = " + number);

                number = client.IncreaseNumber();

                Console.WriteLine("세번째 호출 후 번호 = " + number);
            }
        }

        #endregion
    }
}