﻿using System;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 단순 서비스
    /// </summary>
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerSession)]
    public class SimpleService : ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 번호
        /// </summary>
        private int number;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 번호 증가하기 - IncreaseNumber()

        /// <summary>
        /// 번호 증가하기
        /// </summary>
        /// <returns>번호</returns>
        public int IncreaseNumber()
        {
            Console.WriteLine("서비스 세션 ID : " + OperationContext.Current.SessionId);

            this.number = this.number + 1;

            return this.number;
        }

        #endregion
    }
}